<?php
date_default_timezone_set('america/sao_paulo');

$pasta = 'vendas_bkp/';
$dias = '30';
// criação da pasta de backups de venda
if (!is_dir($pasta)) {
  mkdir($pasta, 0777, true);
}

$diretorio = dir($pasta);

// varrer registros e deletar caso tiver registros x dias atrás
while ($arquivo = $diretorio->read()) {
  if (($arquivo !== '.') and ($arquivo !== '..')) {
    $dataArquivo = date("Y-m-d H:i:s", filemtime($pasta . $arquivo));
    $hoje = date("Y-m-d H:i:s");
    $excluirAte = date('Y-m-d 00:00:01', strtotime("-".$dias." day", strtotime($hoje)));
    if ($dataArquivo < $excluirAte) {
      unlink($pasta . $arquivo);
    }
  }
}
$diretorio->close();
